export default {
  // 将Thu Sep 20 2018 16:23:03 GMT+0800 (中国标准时间)转换为"2018-09-20 16:23:03"
  formatDateTime(inputTime) {
    var date = new Date(inputTime);
    var y = date.getFullYear();
    var m = date.getMonth() + 1;
    m = m < 10 ? ('0' + m) : m;
    var d = date.getDate();
    d = d < 10 ? ('0' + d) : d;
    var h = date.getHours();
    h = h < 10 ? ('0' + h) : h;
    var minute = date.getMinutes();
    var second = date.getSeconds();
    minute = minute < 10 ? ('0' + minute) : minute;
    second = second < 10 ? ('0' + second) : second;
    return y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second;
  },

  eosFormatTime2(oldTimes1, disparityTime) {
    let time1 = oldTimes1.split(' ');
    let time2 = time1[1].split(':');
    let time3 = time1[0].split('-')
    if (disparityTime % 1 === 0) {
      return `${time3[1]}/${time3[2]} ${time2[0] - disparityTime}:00`
    } else {
      return `${time3[1]}/${time3[2]} ${time2[0] - Math.ceil(disparityTime)}:30`
    }
  },
  timeago(hisTime) {
    var diffValue = new Date().getTime() - hisTime,
      result = '',

      minute = 1000 * 60,
      hour = minute * 60,
      day = hour * 24,
      halfamonth = day * 15,
      month = day * 30,
      year = month * 12,

      _year = diffValue / year,
      _month = diffValue / month,
      _week = diffValue / (7 * day),
      _day = diffValue / day,
      _hour = diffValue / hour,
      _min = diffValue / minute;

    if (_year >= 1) result = parseInt(_year) + "年";
    else if (_month >= 1) result = parseInt(_month) + "个月";
    else if (_week >= 1) result = parseInt(_week) + "周";
    else if (_day >= 1) result = parseInt(_day) + "天";
    else if (_hour >= 1) result = parseInt(_hour) + "个小时";
    else if (_min >= 1) result = '' + parseInt(_min) + "分钟";
    else result = "1分钟";
    return result;
  }

}